Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression
Class ParameterExpressionImpl<T>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<T>
                      org.hibernate.ejb.criteria.expression.ParameterExpressionImpl<T>

All Implemented Interfaces:
  Serializable, Expression<T>, ParameterExpression<T>, Selection<T>, Parameter<T>, TupleElement<T>, ExpressionImplementor<T>, ParameterContainer, Renderable, SelectionImplementor<T>, TupleElementImplementor<T>

    public class ParameterExpressionImpl<T>

extends ExpressionImpl<T>
implements ParameterExpression<T>, Serializable

Defines a parameter specification, or the information about a parameter (where it occurs, what is its type, etc).

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`ParameterExpressionImpl(CriteriaBuilderImpl criteriaBuilder, Class<T> javaType)`
`ParameterExpressionImpl(CriteriaBuilderImpl criteriaBuilder, Class<T> javaType, Integer position)`
`ParameterExpressionImpl(CriteriaBuilderImpl criteriaBuilder, Class<T> javaType, String name)`

Method Summary
`String` | `getName()`
`Class<T>` | `getParameterType()`
`Integer` | `getPosition()`
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` | `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### ParameterExpressionImpl

    public ParameterExpressionImpl(CriteriaBuilderImpl criteriaBuilder,
                                   Class<T> javaType,
                                   String name)

### ParameterExpressionImpl

    public ParameterExpressionImpl(CriteriaBuilderImpl criteriaBuilder,
                                   Class<T> javaType,
                                   Integer position)

### ParameterExpressionImpl

    public ParameterExpressionImpl(CriteriaBuilderImpl criteriaBuilder,
                                   Class<T> javaType)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Parameter<T>`

### getPosition

    public Integer getPosition()

  Specified by:
    `getPosition` in interface `Parameter<T>`

### getParameterType

    public Class<T> getParameterType()

  Specified by:
    `getParameterType` in interface `Parameter<T>`

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.